# OgreProgressiveMesh.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreVector3.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "OgreHardwareIndexBuffer.h"`
`#include "OgreRenderOperation.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::ProgressiveMesh
| This class reduces the complexity of the geometry it is given. More...
class | Ogre::ProgressiveMesh::PMFaceVertex
| A vertex as used by a face. More...
class | Ogre::ProgressiveMesh::PMTriangle
| A triangle in the progressive mesh, holds extra info like face normal. More...
class | Ogre::ProgressiveMesh::PMVertex
| A vertex in the progressive mesh, holds info like collapse cost etc. More...
struct | Ogre::ProgressiveMesh::PMWorkingData
| Data used to calculate the collapse costs. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:21 2009